﻿
namespace Infragistics.MultiTouch.Gestures
{
	/// <summary>
	/// Gesture Direction
	/// </summary>
    public enum Direction
    {
		/// <summary>
		/// No specific direction
		/// </summary>
        NotSet,
		/// <summary>
		/// From right to left
		/// </summary>
        Left,
		/// <summary>
		/// From bottom to top
		/// </summary>
        Up,
		/// <summary>
		/// From left to right
		/// </summary>
        Right,
		/// <summary>
		/// From top to bottom
		/// </summary>
        Down
    }
}