﻿using System;
using System.Collections.Generic;
using Infragistics.Silverlight.Applications.Stocks.Models;

namespace Infragistics.Silverlight.Applications.Stocks.Services
{
    interface IStockDataProvider
    {
        void RefreshDetails(IList<string> symbols, Action<IDictionary<string, StockTickerDetails>, Exception, bool> callback);
        void RefreshData(string symbol, DateTime startDate, Action<string, IEnumerable<StockTickerData>, Exception, bool> callback);
        void RefreshData(string symbol, DateTime startDate, DateTime endDate, Action<string, IEnumerable<StockTickerData>, Exception, bool> callback);
    }
}
