﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Silverlight.Applications.Stocks.ViewModels;

namespace Infragistics.Silverlight.Applications.Stocks.Views
{
    public partial class SearchView : UserControl
    {
        public SearchView()
        {
            InitializeComponent();
        }

		private Timer _searchTimer;
        
        private void SearchTimerTick(object data)
        {
            Dispatcher.BeginInvoke(() => { var vm = DataContext as StockViewModel; vm.StockSearchFilter = SearchBox.Text; });
        }

        private void SearchBox_OnTextChanged(object sender, System.Windows.Controls.TextChangedEventArgs e)
        {
            if (_searchTimer != null)
            {
                _searchTimer.Change(500, 0);
            }
            else
            {
                _searchTimer = new Timer(SearchTimerTick, null, 500, 0);
            }
        }
        
    }
}
